import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function dailySummaryRepiarAllList(data) {
  return request({
    url: `/daily/summary/repair/all/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function dailySummaryRepiarAllListExport(data, name) {
  return postBlob({
    url: '/daily/summary/repair/all/list/export',
    data,
    name
  })
}

export function repairAllCount(params) {
  return request({
    url: `/daily/summary/repair/all/count`,
    method: 'post',
    params
  })
}
